/**
 * Adress book information for persons
 * 
 * @author Uno Holmer
 * @version 2008-10-02
 */
public class Person
{
	private long  pnr;
	private String name;

	public Person(long pnr, String name)
	{
		this.pnr = pnr;
		this.name = name;
	}

	public boolean equals(Object o) {
	    if ( o instanceof Person ) {
	        Person other = (Person)o;
	        return pnr == other.pnr && 
	              (name == null ? other.name == null : name.equals(other.name));
	    } else
	        return false;
    }
    	
    // other methods omitted
}