/**
 * Adress book information for persons
 * 
 * @author Uno Holmer
 * @version 2008-10-07
 */
public class Person
{
    private String pnr;
    private String name;
    private String address;

    public Person(String pnr,String name,String address)
    {
        this.pnr = pnr;
        this.name = name;
        this.address = address;
    }
    
    public final boolean equals(Object o) {
        if ( o instanceof Person ) {
            Person other = (Person)o;
            return (pnr == null ? other.pnr == null : pnr.equals(other.pnr));
        } else
            return false;
    }
    
    public int hashCode() {
        return pnr.hashCode();
    }
    	
	// other methods omitted
}