/**
 * A simple class which overrides equals but not the hashCode method
 * 
 * @author Uno Holmer
 * @version 2008-10-06
 */
public class HasEqualsButNotHashCode
{
	private String str;
	private int foo = 27;

	public HasEqualsButNotHashCode(String str)
	{
		this.str = str;
	}

	public boolean equals(Object other)
	{
	     if ( this == other )
	         return true;
	     if ( other instanceof HasEqualsButNotHashCode ) {
	         HasEqualsButNotHashCode tmp = (HasEqualsButNotHashCode)other;
	         return str.equals(tmp.str);
	     }
	     return false;
	}
}
